> ## Documentation Index
> Fetch the complete documentation index at: https://docs.causeloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch Client Profile Endpoint

> B3 — only while status in (draft, data_validated); 409 otherwise.



## OpenAPI

````yaml /openapi.json patch /v1/provisioning/client-profiles/{client_id}
openapi: 3.1.0
info:
  description: Causeloop Platform Backend
  title: Causeloop API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/provisioning/client-profiles/{client_id}:
    patch:
      tags:
        - provisioning-portal
      summary: Patch Client Profile Endpoint
      description: B3 — only while status in (draft, data_validated); 409 otherwise.
      operationId: >-
        patch_client_profile_endpoint_v1_provisioning_client_profiles__client_id__patch
      parameters:
        - in: path
          name: client_id
          required: true
          schema:
            title: Client Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ClientProfilePatchRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema: {}
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    ClientProfilePatchRequest:
      additionalProperties: true
      properties:
        compliance_flags:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Compliance Flags
        data_residency:
          anyOf:
            - type: string
            - type: 'null'
          title: Data Residency
        display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Name
        industry:
          anyOf:
            - type: string
            - type: 'null'
          title: Industry
        issue_id_convention:
          anyOf:
            - type: string
            - type: 'null'
          title: Issue Id Convention
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
        primary_format:
          anyOf:
            - type: string
            - type: 'null'
          title: Primary Format
      title: ClientProfilePatchRequest
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````